﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/06/2023 9:37:16
-- Server version: 8.0.30
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE noticias2023;

--
-- Drop table `noticia`
--
DROP TABLE IF EXISTS noticia;

--
-- Drop table `autor`
--
DROP TABLE IF EXISTS autor;

--
-- Drop table `seccion`
--
DROP TABLE IF EXISTS seccion;

--
-- Set default database
--
USE noticias2023;

--
-- Create table `seccion`
--
CREATE TABLE seccion (
  id int NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  foto varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create table `autor`
--
CREATE TABLE autor (
  id int NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  foto varchar(100) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  correo varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create table `noticia`
--
CREATE TABLE noticia (
  idNoticia int NOT NULL,
  titular varchar(255) DEFAULT NULL,
  textoCorto varchar(800) DEFAULT NULL,
  textoLargo longtext DEFAULT NULL,
  portada tinyint(1) DEFAULT NULL,
  seccion int DEFAULT NULL,
  fecha datetime DEFAULT NULL,
  foto varchar(255) DEFAULT NULL,
  autor int DEFAULT NULL,
  PRIMARY KEY (idNoticia)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_0900_ai_ci;

--
-- Create foreign key
--
ALTER TABLE noticia
ADD CONSTRAINT fkNoticiaAutor FOREIGN KEY (autor)
REFERENCES autor (id);

--
-- Create foreign key
--
ALTER TABLE noticia
ADD CONSTRAINT fkNoticiaSeccion FOREIGN KEY (seccion)
REFERENCES seccion (id);

-- 
-- Dumping data for table seccion
--
INSERT INTO seccion VALUES
(1, 'Deportes', NULL),
(2, 'Nacional', NULL),
(3, 'Cultura', NULL);

-- 
-- Dumping data for table autor
--
INSERT INTO autor VALUES
(1, 'Juan Gómez', '', NULL, 'juangomez@gmail.com'),
(2, 'Pedro García', '', NULL, ''),
(3, 'Eva Pérez', '', NULL, ''),
(4, 'María Sainz', '4_zapatillascasa.jpeg', '2023-05-27', 'mariasanz@gmail.com');

-- 
-- Dumping data for table noticia
--
INSERT INTO noticia VALUES
(1, 'LLuvias en Santander', 'Las lluvias por fin llegan a Santander', 'Con la llegada del invierno llegan las primeras lluvias a la ciudad que son altamente necesarias.', 1, 2, '2023-06-11 00:00:00', '1_noticia2.jpg', 1),
(2, 'España gana la Nations League', 'España gana la Nations League en los penaltis', 'España gana la Nations League en los penaltis', 0, 1, '2023-06-21 00:00:00', '2_espana.png', 1);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;